Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 21841 - portage (and repoman) should ignore all file ending in ~ (tilde)
Summary: portage (and repoman) should ignore all file ending in ~ (tilde)
Status: RESOLVED WONTFIX
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-28 14:04 UTC by Matthew Kennedy (RETIRED)
Modified: 2011-10-30 22:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Kennedy (RETIRED) gentoo-dev 2003-05-28 14:04:44 UTC
When creating the digest (eg. via ebuild ... digest), ebuild includes in the
Manifest file, files ending in ~ (the tilde).   repoman forces an error when
encounting files ending in ~.

This is the wrong behaviour in both instances.

Files ending in ~ are typically backup files from text editors such as emacs. 
These files are very handy to keep around as you can always get a diff since the
last time the file was saved.

The right behavior is to ignore files ending in ~ (as if they weren't even
there). Other tools such as CVS set precedence for this (CVS is smart enough to
ignore ~ files).
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2003-05-29 00:52:28 UTC
Here are the file patterns that CVS currently ignores:
RCS SCCS CVS CVS.adm RCSLOG cvslog.* tags TAGS .make.state .nse_depinfo *~ #* .#* ,* _$* *$ *.old *.bak *.BAK *.orig *.rej .del-* *.a *.olb *.o *.obj *.so *.exe *.Z *.elc *.ln core

Comment 2 Marius Mauch (RETIRED) gentoo-dev 2003-10-09 12:31:13 UTC
re-assigning to puggy as he is the main repoman guy now. 
Comment 3 Brian Harring gentoo-dev 2004-08-10 23:48:43 UTC
I'm not much for this personally... when generating the manifest, the directory should be exactly as it will be distributed via rsync imo.
Either way, labeling WONTFIX since it's 8+ months w/out comment.  Reopen if you -really- want it (although again, I'm not much for it :)
Comment 4 SpanKY gentoo-dev 2004-08-17 19:59:22 UTC
this is really Bug 46070 now ;)
Comment 5 Brian Harring gentoo-dev 2004-08-18 09:31:27 UTC
Yeah, so I reversed my opinion in 46070 and added it into pre20... :)